commit:     8ac50e21abfc4bf135b2d16c8deb4f7f23c7685a
Author:     Jakov Smolic <jakov.smolic <AT> sartura <DOT> hr>
AuthorDate: Thu Jan  7 10:08:23 2021 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Thu Jan  7 10:08:23 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8ac50e21

net-libs/libiscsi: Sync live ebuild

Closes: https://github.com/gentoo/gentoo/pull/18934
Signed-off-by: Jakov Smolic <jakov.smolic <AT> sartura.hr>
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 net-libs/libiscsi/libiscsi-9999.ebuild | 24 ++++++++++++++----------
 1 file changed, 14 insertions(+), 10 deletions(-)

diff --git a/net-libs/libiscsi/libiscsi-9999.ebuild 
b/net-libs/libiscsi/libiscsi-9999.ebuild
index 6defe354629..9d1977923e1 100644
--- a/net-libs/libiscsi/libiscsi-9999.ebuild
+++ b/net-libs/libiscsi/libiscsi-9999.ebuild
@@ -1,19 +1,23 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
+EAPI=7
 
-inherit autotools git-r3
+inherit autotools
+
+if [[ ${PV} == *9999 ]] ; then
+       EGIT_REPO_URI="https://github.com/sahlberg/${PN}.git";
+       inherit git-r3
+else
+       SRC_URI="https://github.com/sahlberg/${PN}/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+       KEYWORDS="~alpha amd64 ~arm arm64 ~hppa ~ia64 ~ppc ppc64 ~sparc x86"
+fi
 
 DESCRIPTION="iscsi client library and utilities"
 HOMEPAGE="https://github.com/sahlberg/libiscsi";
-SRC_URI=""
-EGIT_REPO_URI="https://github.com/sahlberg/${PN}.git";
 
 SLOT="0"
 LICENSE="GPL-2 LGPL-2"
-KEYWORDS=""
-IUSE="static-libs"
 
 RDEPEND="dev-libs/libgcrypt:0="
 DEPEND="${RDEPEND}"
@@ -26,11 +30,11 @@ src_prepare() {
 src_configure() {
        econf \
                --enable-manpages \
-               --disable-werror \
-               $(use_enable static-libs static)
+               --disable-static \
+               --disable-werror
 }
 
 src_install() {
        default
-       find "${D}" -name '*.la' -delete || die
+       find "${ED}" -name '*.la' -delete || die
 }

Reply via email to